/*
 * libpgvb.dll Easy Access Tool for PostgreSQL
 * written by Hiroshi Saito & Ichiro FUKUHARA
 *
 * Copyright (c) 2001  Hiroshi Saito & Ichiro FUKUHARA 
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for any purpose and without fee is hereby
 * granted, provided that the above copyright notice appear in all
 * copies and that both that copyright notice and this permission
 * notice appear in supporting documentation, and that the name of the
 * author not be used in advertising or publicity pertaining to
 * distribution of the software without specific, written prior
 * permission. The author makes no representations about the
 * suitability of this software for any purpose.  It is provided "as
 * is" without express or implied warranty.
 */

#include "stdafx.h"

BOOL APIENTRY DllMain(HANDLE hModule, DWORD ul_reason_for_call, LPVOID lpReserved)
{
		const char m_env1[] = {"PGCLIENTENCODING=SJIS"};
		//const char m_env2[] = {"PGAUTHTYPE="};
		WSADATA		wsaData;
		switch (ul_reason_for_call)
		{
			case DLL_PROCESS_ATTACH:
				if (WSAStartup(MAKEWORD(1, 1), &wsaData))
					return FALSE;
				putenv((const char *)&m_env1);
				//putenv((const char *)&m_env2);
				break;
			case DLL_PROCESS_DETACH:
				WSACleanup();
				break;
		}
		return TRUE;
}

