# Makefile for Microsoft Visual C++ 6.0 (or compat)

# Will build a Win32 static library (non-debug) libpgvb.lib
#        and a Win32 dynamic library (non-debug) libpgvb.dll with import library libpgvbdll.lib


!IF "$(OS)" == "Windows_NT"
NULL=
!ELSE 
NULL=nul
!ENDIF 

CPP=cl.exe
RSC=rc.exe

OUTDIR=.\Release
INTDIR=.\Release
# Begin Custom Macros
OutDir=.\Release
# End Custom Macros

ALL : "$(OUTDIR)\libpgvb.lib" "$(OUTDIR)\libpgvb.dll" 

CLEAN :
	-@erase "$(INTDIR)\libpgvb.obj"
	-@erase "$(OUTDIR)\libpgvb.lib"
	-@erase "$(OUTDIR)\libpgvb.dll"
	-@erase "$(OUTDIR)\libpgvb.res"
	-@erase "*.pch"
	-@erase "$(OUTDIR)\libpgvb.pch"
	-@erase "$(OUTDIR)\libpgvb.exp"
	-@erase "$(OUTDIR)\libpgvb.lib"

"$(OUTDIR)" :
    if not exist "$(OUTDIR)/$(NULL)" mkdir "$(OUTDIR)"

CPP_PROJ=/nologo /MD /W3 /GX /O2 /I "..\..\include" /I "..\libpq" /D "NDEBUG" /D\
 "WIN32" /D "_WINDOWS" /Fp"$(INTDIR)\libpgvb.pch" /YX\
 /Fo"$(INTDIR)\\" /Fd"$(INTDIR)\\" /FD /c  /D "HAVE_VSNPRINTF" /D "HAVE_STRDUP"

CPP_OBJS=.\Release/
CPP_SBRS=.
	
LIB32=link.exe -lib
LIB32_FLAGS=/nologo /out:"$(OUTDIR)\libpgvb.lib" 
LIB32_OBJS= \
	"$(INTDIR)\libpgvb.obj" 

RSC_PROJ=/l 0x409 /fo"$(INTDIR)\libpgvb.res"

LINK32=link.exe
LINK32_FLAGS=kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib\
 advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib wsock32.lib\
 odbccp32.lib ..\libpq\Release\libpq.lib \
/nologo /subsystem:windows /dll /incremental:no\
 /pdb:"$(OUTDIR)\libpgvb.pdb" /machine:I386 /out:"$(OUTDIR)\libpgvb.dll"\
 /implib:"$(OUTDIR)\libpgvbdll.lib"  /def:libvbpgdll.def /nodefaultlib:"LIBCMT.lib"
LINK32_OBJS= \
	"$(INTDIR)\libpgvb.obj" \
	"$(OUTDIR)\libpgvb.lib" \
	"$(OUTDIR)\libpgvb.res"


"$(OUTDIR)\libpgvb.lib" : "$(OUTDIR)" $(DEF_FILE) $(LIB32_OBJS)
    $(LIB32) @<<
  $(LIB32_FLAGS) $(DEF_FLAGS) $(LIB32_OBJS)
<<

"$(INTDIR)\libpgvb.res" : "$(INTDIR)" libvbpg.rc
    $(RSC) $(RSC_PROJ) libvbpg.rc


"$(OUTDIR)\libpgvb.dll" : "$(OUTDIR)" "$(OUTDIR)\libpgvb.obj" "$(INTDIR)\libpgvb.obj" "$(INTDIR)\libpgvb.res"
    $(LINK32) @<<
  $(LINK32_FLAGS) $(LINK32_OBJS)
<<

.c{$(CPP_OBJS)}.obj::
   $(CPP) @<<
   $(CPP_PROJ) $<
<<

.c{$(CPP_SBRS)}.sbr::
   $(CPP) @<<
   $(CPP_PROJ) $< 
<<

